KDE 4.9 PyKDE API Reference

- KDE's Python API

# DBusClient Class Reference

`from PyKDE4.soprano import *`

Inherits: QObject,Soprano.Error.ErrorCache
Namespace: Soprano.Client

## Detailed Description

## Methods

| __init__ (self, QString service=QString(), QObject parent=0)
QStringList | allModels (self)
Soprano.Client.DBusModel | createModel (self, QString name, [Soprano.BackendSetting] settings=Soprano.BackendSettings())
bool | isValid (self)
| removeModel (self, QString name)

## Method Documentation

__init__ | ( | self, |
|  | QString | service=QString(),
|  | QObject | parent=0
| ) |  |  |

QStringList allModels | ( |  | self ) |

Soprano.Client.DBusModel createModel | ( | self, |
|  | QString | name,
|  | [Soprano.BackendSetting] | settings=Soprano.BackendSettings()
| ) |  |  |

bool isValid | ( |  | self ) |

removeModel | ( | self, |
|  | QString | name
| ) |  |  |